Subject: Re: bug#61960: 30.0.50; Unexec build reliably crashes during loadup

From: Po Lu <[email-masked]>
Date: Thu, 16 Mar 2023 08:33:17 +0800

Andrea Corallo <[email-masked]> writes:

> Yes, why it should not?  I explained what is my understaing of how it
> works in one of my first relpies to this thread.
>
> You wrote
>
>> Emacs can't be built with both unexec and pdumper dumping, and configure
>> doesn't let you do that.  So what we have is fine.
>
> And
>
>> The quality of configure's error
>> reporting has gone down in the past several years.  --with-unexec is
>> silently ignored if you specify --with-pdumper.
>
> But you still have to answer my question: where do you read that?

By working with both kinds of dumping while working on the garbage
collector last year, and then the MS-DOS port earlier.  I didn't
hesitate to assume:

#ifdef HAVE_UNEXEC

#else

#endif /* HAVE_PDUMPER */

My mistake, sorry.

BTW, what I said about `configure' still stands.  Count the number of
AC_ARG_WITHs that don't print errors if the package they are supposed to
enable is not present.

> PS please quote my complete message answering, debbugs.gnu.org does not
> record my mails.
>
> Thanks
>
>   Andrea